<template>
    <reviewBlock
        :headerCmsWidgetName="cmsWidgetName"
        :content="displayContent" />
</template>

<script>
import reviewBlock from '@/layouts/payment-method/review-dropdown/review-block/review-block.vue';

export default {
    name: 'vehicle-review',
    components: {
        reviewBlock
    },
    props: {
        cmsWidgetName: String,
        vehicle: Object
    },
    data() {
        return {};
    },
    computed: {
        displayContent() {
            return [`${this.vehicle.year} ${this.vehicle.make} ${this.vehicle.model}`];
        }
    }
};
</script>
